Package picard.analysis.replicates

## Class IndependentReplicateMetric

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.analysis.replicates.IndependentReplicateMetric

-     public class IndependentReplicateMetric
      extends MergeableMetricBase

  A class to store information relevant for biological rate estimation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Double` | `biSiteHeterogeneityRate` |
    `Double` | `biSiteHomogeneityRate` |
    `Double` | `independentReplicationRateFromBiDups` |
    `Double` | `independentReplicationRateFromTriDups` |
    `Double` | `independentReplicationRateFromUmi` |
    `Integer` | `nAlternateAllelesBiDups` |
    `Integer` | `nAlternateAllelesTriDups` |
    `Integer` | `nAlternateReads` |
    `Integer` | `nBadBarcodes` |
    `Integer` | `nDifferentAllelesBiDups` |
    `Integer` | `nDifferentAllelesTriDups` |
    `Integer` | `nDuplicateSets` |
    `Integer` | `nExactlyDouble` |
    `Integer` | `nExactlyTriple` |
    `Integer` | `nGoodBarcodes` |
    `Integer` | `nMatchingUMIsInDiffBiDups` |
    `Integer` | `nMatchingUMIsInSameBiDups` |
    `Integer` | `nMismatchingAllelesBiDups` |
    `Integer` | `nMismatchingAllelesTriDups` |
    `Integer` | `nMismatchingUMIsInContraOrientedBiDups` |
    `Integer` | `nMismatchingUMIsInCoOrientedBiDups` |
    `Integer` | `nMismatchingUMIsInDiffBiDups` |
    `Integer` | `nMismatchingUMIsInSameBiDups` |
    `Integer` | `nReadsInBigSets` |
    `Integer` | `nReferenceAllelesBiDups` |
    `Integer` | `nReferenceAllelesTriDups` |
    `Integer` | `nReferenceReads` |
    `Integer` | `nSites` |
    `Integer` | `nThreeAllelesSites` |
    `Integer` | `nTotalReads` |
    `Double` | `pSameAlleleWhenMismatchingUmi` |
    `Double` | `pSameUmiInIndependentBiDup` |
    `Double` | `replicationRateFromReplicateSets` |
    `Double` | `triSiteHeterogeneityRate` |
    `Double` | `triSiteHomogeneityRate` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndependentReplicateMetric()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `calculateDerivedFields()` | Placeholder method that will calculate the derived fields from the other ones.

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nSites

          public Integer nSites

    - #### nThreeAllelesSites

          public Integer nThreeAllelesSites

    - #### nTotalReads

          public Integer nTotalReads

    - #### nDuplicateSets

          public Integer nDuplicateSets

    - #### nExactlyTriple

          public Integer nExactlyTriple

    - #### nExactlyDouble

          public Integer nExactlyDouble

    - #### nReadsInBigSets

          public Integer nReadsInBigSets

    - #### nDifferentAllelesBiDups

          public Integer nDifferentAllelesBiDups

    - #### nReferenceAllelesBiDups

          public Integer nReferenceAllelesBiDups

    - #### nAlternateAllelesBiDups

          public Integer nAlternateAllelesBiDups

    - #### nDifferentAllelesTriDups

          public Integer nDifferentAllelesTriDups

    - #### nMismatchingAllelesBiDups

          public Integer nMismatchingAllelesBiDups

    - #### nReferenceAllelesTriDups

          public Integer nReferenceAllelesTriDups

    - #### nAlternateAllelesTriDups

          public Integer nAlternateAllelesTriDups

    - #### nMismatchingAllelesTriDups

          public Integer nMismatchingAllelesTriDups

    - #### nReferenceReads

          public Integer nReferenceReads

    - #### nAlternateReads

          public Integer nAlternateReads

    - #### nMismatchingUMIsInDiffBiDups

          public Integer nMismatchingUMIsInDiffBiDups

    - #### nMatchingUMIsInDiffBiDups

          public Integer nMatchingUMIsInDiffBiDups

    - #### nMismatchingUMIsInSameBiDups

          public Integer nMismatchingUMIsInSameBiDups

    - #### nMatchingUMIsInSameBiDups

          public Integer nMatchingUMIsInSameBiDups

    - #### nMismatchingUMIsInCoOrientedBiDups

          public Integer nMismatchingUMIsInCoOrientedBiDups

    - #### nMismatchingUMIsInContraOrientedBiDups

          public Integer nMismatchingUMIsInContraOrientedBiDups

    - #### nBadBarcodes

          public Integer nBadBarcodes

    - #### nGoodBarcodes

          public Integer nGoodBarcodes

    - #### biSiteHeterogeneityRate

          public Double biSiteHeterogeneityRate

    - #### triSiteHeterogeneityRate

          public Double triSiteHeterogeneityRate

    - #### biSiteHomogeneityRate

          public Double biSiteHomogeneityRate

    - #### triSiteHomogeneityRate

          public Double triSiteHomogeneityRate

    - #### independentReplicationRateFromBiDups

          public Double independentReplicationRateFromBiDups

    - #### independentReplicationRateFromTriDups

          public Double independentReplicationRateFromTriDups

    - #### pSameUmiInIndependentBiDup

          public Double pSameUmiInIndependentBiDup

    - #### pSameAlleleWhenMismatchingUmi

          public Double pSameAlleleWhenMismatchingUmi

    - #### independentReplicationRateFromUmi

          public Double independentReplicationRateFromUmi

    - #### replicationRateFromReplicateSets

          public Double replicationRateFromReplicateSets

  - ### Constructor Detail

    - #### IndependentReplicateMetric

          public IndependentReplicateMetric()

  - ### Method Detail

    - #### calculateDerivedFields

          public void calculateDerivedFields()

      Description copied from class: `MergeableMetricBase`
      Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.
      Overrides:
        `calculateDerivedFields` in class `MergeableMetricBase`